Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.9.1.0.20
Release: 1
Group: Development/Tools
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://tsx-11.mit.edu/pub/linux/packages/GCC/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --enable-shared i386-redhat-linux
make tooldir=/usr all

# Remake all info files with --no-split
for i in `find . -type f -name "*.info*"`; do
	file $i | egrep -q -s "GNU Info text$" && rm -f $i
done
make tooldir=/usr info MAKEINFO="makeinfo --no-split"


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr tooldir=$RPM_BUILD_ROOT/usr \
	install install-info
strip     $RPM_BUILD_ROOT/usr/bin/*
strip     $RPM_BUILD_ROOT/usr/lib/lib*.so.0.*
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib*.so.0.*
gzip -q9f $RPM_BUILD_ROOT/usr/info/*.info*

# Why "make install" installs libiberty.a but not libiberty.h?
# egcs also provides both of these but we choose binutils on this issue.
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include

# On c++filt we use the one from egcs-c++
rm -f $RPM_BUILD_ROOT/usr/bin/c++filt


%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/info /usr/info/as.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/bfd.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/binutils.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/gasp.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/gprof.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/ld.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/as.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/bfd.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/binutils.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/gasp.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/gprof.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/ld.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/standards.info.gz
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README
/usr/bin/*
/usr/include/*
/usr/info/*info*
/usr/lib/*
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT
